package PNI::GUI::Tk::Canvas::Group;
use strict;
use PNI::Error;
use PNI::GUI::Tk::Canvas::Text;

sub init_canvas_group {
    my $self = shift;
    my $arg  = {@_};

    $self->add( tk_ids => [] );
}

sub add_canvas_item {
    my $self        = shift;
    my $canvas_item = shift
      or return PNI::Error::missing_required_argument;

    $self->add_tk_id( $canvas_item->get_tk_id );

    return $canvas_item;
}

sub add_text {
    my $self = shift;
    my $text = PNI::GUI::Tk::Canvas::Text->new(@_)
      or return PNI::Error::unable_to_create_item;

    return $self->add_canvas_item($text);
}

sub add_tk_id {
    my $self  = shift;
    my $tk_id = shift
      or return PNI::Error::missing_required_argument;

    push @{ $self->get('tk_ids') }, $tk_id;
}

# return @tk_ids
sub get_tk_ids { @{ shift->get('tk_ids') } }

1;
__END__

=head1 NAME

PNI::GUI::Tk::Canvas::Group

=cut

