package PNI::GUI::Tk::Node_inspector;
use parent qw( PNI::Item PNI::GUI::Tk::View );
use strict;
use PNI::GUI::Tk::Canvas::Window;
use Tk::Toplevel;

sub new {
    my $self = shift->SUPER::new;
    my $arg  = {@_};

    $self->init_view(@_);

    my $controller = $self->get_controller;

    # TODO controlla he dovrebbe essere PNI::GUI::Tk::Node
    my $node = $arg->{node};
    $self->add( node => $node );

    my $frame = $self->get_tk_canvas->Frame;

    my $button = $frame->Button(
        -text    => 'x',
        -command => sub {
            $controller->del_node_inspector;
            $controller->del_node($node);
        }
    );
    $button->pack( -side => 'right', -expand => 0 );

    my $label = $frame->Label( -text => $node->get_label );

    $label->pack( -side => 'top' );

    my $inputs = $frame->Frame;
    $inputs->pack( -side => 'left' );
    for my $input ( $node->get_inputs ) {
        $inputs->Label( -text => $input->get_name )->pack;
    }

    my $window = PNI::GUI::Tk::Canvas::Window->new(
        canvas => $self->get_canvas,
        window => $frame,
        y      => $self->get_node->get_center_y,
        x      => $self->get_node->get_center_x,
    ) or return PNI::Error::unable_to_create_item;

    $self->add( window => $window );

    $self->default_tk_bindings;

    return $self;
}

sub default_tk_bindings {
    my $self = shift;
}

# return $node : PNI::Node
sub get_node { shift->get('node') }

# return $window : PNI::GUI::Tk::Window
sub get_window { return shift->get('window') }

1;
__END__

=head1 NAME

PNI::GUI::Tk::Node_inspector

=cut

